Package org.silverpeas.components.community.web.html

## Class JavascriptPluginInclusion

- java.lang.Object
- - org.silverpeas.components.community.web.html.JavascriptPluginInclusion

- All Implemented Interfaces:
    `org.silverpeas.core.initialization.Initialization`

      @Bean
      public class JavascriptPluginInclusion
      extends Object
      implements org.silverpeas.core.initialization.Initialization

  Author:
    silveryocha

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static org.silverpeas.core.html.SupportedWebPlugin` | `COMMUNITY_MANAGEMENT` | Silverpeas plugin dedicated to management of a community.
    `static org.silverpeas.core.html.SupportedWebPlugin` | `COMMUNITY_SUBSCRIPTION` | Silverpeas plugin dedicated to subscription of a community.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JavascriptPluginInclusion()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `init()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.silverpeas.core.initialization.Initialization

      `getPriority, release`

- - ### Field Detail

    - #### COMMUNITY_SUBSCRIPTION

          public static final org.silverpeas.core.html.SupportedWebPlugin COMMUNITY_SUBSCRIPTION

      Silverpeas plugin dedicated to subscription of a community.

    - #### COMMUNITY_MANAGEMENT

          public static final org.silverpeas.core.html.SupportedWebPlugin COMMUNITY_MANAGEMENT

      Silverpeas plugin dedicated to management of a community.

  - ### Constructor Detail

    - #### JavascriptPluginInclusion

          public JavascriptPluginInclusion()

  - ### Method Detail

    - #### init

          public void init()

      Specified by:
        `init` in interface `org.silverpeas.core.initialization.Initialization`